<template>
    <div class="navbar">
        <div class="d-flex gap-3">
            <i class="bi bi-list" @click="toggleSidebar"></i>
            <span class="brand" v-if="!$store.state.showSidebar">SmartBooking</span>
        </div>
        <div class="d-flex gap-3">
            <span>Olá, {{user}}</span>
            <div class="dropdown">
                <i class="bi bi-person-circle" data-bs-toggle="dropdown" aria-expanded="false"></i>
                <ul class="dropdown-menu dropdown-menu-end">
                    <li><a class="dropdown-item d-flex align-items-center" href="/logout"><i class="bi bi-box-arrow-right pe-2"></i>Sair</a></li>
                </ul>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Header',
    data: () => ({
        user: 'Eduardo'
    }),
    methods: {
        toggleSidebar() {
            this.$store.commit('toggleSidebar')
        }
    }
}
</script>

<style scoped>
.navbar {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: space-between;
    background-color: #fff;
    border-bottom: 1px solid #ccc;
    padding: 0 20px;
}

.bi {
    font-size: 1.25rem;
    cursor: pointer;
}

span {
    display: flex;
    align-items: center;
}

.brand {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
}
</style>